Subject: pull-request: mac80211 2015-08-14

From: Johannes Berg <[email-masked]>
Date: Fri, 14 Aug 2015 13:20:26 +0200

Hi Dave,

I'm back from vacation, and found a single bugfix waiting. It's in this
pull request, but I'm not quite up to speed as to what's happening with
the release. If it goes in, great; if not I've already tagged it with
Cc stable anyway.

Thanks,
johannes

The following changes since commit 923b352f19d9ea971ae2536eab55f5fc9e95fedf:

  cfg80211: use RTNL locked reg_can_beacon for IR-relaxation (2015-07-17 15:02:02 +0200)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/jberg/mac80211.git tags/mac80211-for-davem-2015-08-14

for you to fetch changes up to f5eeb5fa191fd7b634cbc4883ac58f3b2184dbc5:

  mac80211: fix invalid read in minstrel_sort_best_tp_rates() (2015-08-13 13:52:34 +0200)

----------------------------------------------------------------
We have a single bugfix for an invalid memory read.

----------------------------------------------------------------
Adrien Schildknecht (1):
      mac80211: fix invalid read in minstrel_sort_best_tp_rates()

 net/mac80211/rc80211_minstrel.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)